## ros-jazzy-ros-industrial-cmake-boilerplate 0.5.4

=== debian/changelog ===
ros-jazzy-ros-industrial-cmake-boilerplate (0.5.4-3bookworm) bookworm; urgency=high

  * Fixed error message when extracting maintainer information
  * Contributors: Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Wed, 20 Sep 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.5.3-3bookworm) bookworm; urgency=high

  * Make _supported_components capitalized in package config with components
  * Make supported_components unique in package config to avoid conflict
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@gmail.com>  Mon, 04 Sep 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.5.2-3bookworm) bookworm; urgency=high

  * Add CPack Build Depends for creating debian source package
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@gmail.com>  Sat, 02 Sep 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.5.1-3bookworm) bookworm; urgency=high

  * Add check for component Unspecified and generate error if using cpack with components (#85 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/85>)
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@gmail.com>  Sat, 02 Sep 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.5.0-3bookworm) bookworm; urgency=high

  * Add cpack create debian source package with upload support (#84 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/84>)
  * Add cpack metapackge
  * Add cpack component support
  * Add find_package component support (#82 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/82>)
  * Update readme to include how to exclude code from code coverage
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@gmail.com>  Fri, 01 Sep 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.4.8-3bookworm) bookworm; urgency=high

  * Add code coverage executable RUN_COMMAND mulit-arg to support rostest (#80 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/80>)
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@gmail.com>  Mon, 17 Jul 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.4.7-3bookworm) bookworm; urgency=high

  * Add python hook to install_ament_hooks
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 27 Jun 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.4.6-3bookworm) bookworm; urgency=high

  * Fix artifacts directory in github actions (#77 <https://github.com/marip8/cmake_common_scripts/issues/77>)
  * Contributors: Chris Schindlbeck

 -- Levi Armstrong <levi.armstrong@gmail.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.4.5-3bookworm) bookworm; urgency=high

  * Make deps installation non-interactive (#76 <https://github.com/marip8/cmake_common_scripts/issues/76>)
  * Contributors: Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.4.4-3bookworm) bookworm; urgency=high

  * Removed sudo from CI commands (#75 <https://github.com/marip8/cmake_common_scripts/issues/75>)
  * Contributors: Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.4.3-3bookworm) bookworm; urgency=high

  * Fixed CI yaml file (#74 <https://github.com/marip8/cmake_common_scripts/issues/74>)
  * Contributors: Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.4.2-3bookworm) bookworm; urgency=high

  * Minor Updates (#73 <https://github.com/marip8/cmake_common_scripts/issues/73>)
    * Updated relative locations of license and README files
    * Updated debian build job to run on Ubuntu 20.04
  * Contributors: Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.4.1-3bookworm) bookworm; urgency=high

  * Organization Updates (#72 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/72>)
    * Removed ricb subdirectory
    * Updated maintainer information
  * Contributors: Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.4.0-3bookworm) bookworm; urgency=high



 -- Levi Armstrong <levi.armstrong@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.3.1-3bookworm) bookworm; urgency=high

  * Fix code coverage macro to support plain visibility
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@gmail.com>  Thu, 25 Aug 2022 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.3.0-3bookworm) bookworm; urgency=high

  * Fix target_code_coverage to support targets with plain visibility
  * Update target_cxx_version to support windows
  * Add missing include(GoogleTest) to find_gtest() macro
  * Update package CI to use colcon
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 05 Jul 2022 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.2.16-3bookworm) bookworm; urgency=high

  * Always treat package description as a single string during extraction
  * Fix cpack to generate correct names for nuget packages (#64 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/64>)
  * Added CPack macro from tesseract (#62 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/62>)
  * Contributors: Josh Langsfeld, Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Wed, 22 Jun 2022 00:00:00 -0000

ros-jazzy-ros-industrial-cmake-boilerplate (0.2.15-3bookworm) bookworm; urgency=high

  * Add missing one value arg NAMESPACE to configure_package

