=== debian/control ===
Source: ros-jazzy-ros-industrial-cmake-boilerplate
Section: misc
Priority: optional
Maintainer: Levi Armstrong <levi.armstrong@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, cppcheck <!nocheck>, iwyu <!nocheck>, lcov <!nocheck>, libclang-dev <!nocheck>, libgtest-dev <!nocheck>, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-ros-industrial-cmake-boilerplate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-ros-workspace
Description: Contains boilerplate cmake script, macros and utils
